[MIR] pyyaml

Bug #516924 reported by Scott Moser on 2010-02-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pyyaml (Ubuntu)
High
Unassigned

Bug Description

Rationale:
 * python-yaml is a new runtime dependency of ec2-init
 * the dependency was added in development of blueprint server-lucid-ec2-config
Security:
 * No open or recent security issues
Quality:
 * Open bugs (1 debian, 0 ubuntu)
   http://bugs.debian.org/cgi-bin/pkgreport.cgi?package=python-yaml
   http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=pyyaml
 * Test suite does run on build
 * actively maintained
Dependencies:
 * depends on libyaml-dev (libyaml) [MIR bug 516930]
Standards compliance
 * very standard package for a python package
Maintainence:
 * well maintained in debian, not likely much need for extra work
Background information:
 pyyaml provides a python module for reading and writing yaml. It is useful for human readable and writable configuration files or other structured data. ec2-init began using the python-yaml library as a syntax for the "cloud-config" data.

Scott Moser (smoser) on 2010-02-04
description: updated
Scott Moser (smoser) on 2010-02-04
affects: ubuntu → pyyaml (Ubuntu)

Possibly worth noting that the Debian maintainer is somewhat active in Ubuntu.

Scott Moser (smoser) on 2010-02-11
description: updated
Scott Moser (smoser) on 2010-02-11
Changed in pyyaml (Ubuntu):
assignee: Scott Moser (smoser) → nobody
Martin Pitt (pitti) wrote :

Looks fine, approved

Changed in pyyaml (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers